# Orders

All order related paths.

## Get orders for an account by ID

 - [GET /accounts/{account_id}/orders](https://docs.upvest.co/api/orders/list_account_orders.md): Returns a list of all orders for the account specified by its ID.

## Place an order

 - [POST /orders](https://docs.upvest.co/api/orders/place_order.md): Places a new order. After the creation request for the order is accepted, further processing takes place asynchronously.

## Get an order by ID

 - [GET /orders/{order_id}](https://docs.upvest.co/api/orders/retrieve_order.md): Returns the order specified by its ID.

## Cancel an order by ID

 - [DELETE /orders/{order_id}](https://docs.upvest.co/api/orders/cancel_order.md): Cancels an order specified by its ID. It is possible to cancel an order in the NEW or PROCESSING status. Once a cancellation has been accepted, the further processing steps take place asynchronously and depending on the respective order status.

## Get an order execution by ID

 - [GET /orders/{order_id}/executions/{execution_id}](https://docs.upvest.co/api/orders/retrieve_order_execution.md): Returns the order execution specified by its ID.

## Orders events

 - [POST Orders events](https://docs.upvest.co/api/orders/order_event.md): Orders events

## Executions events

 - [POST Executions events](https://docs.upvest.co/api/orders/execution_event.md): Executions events

## Order Cancellations events

 - [POST Order Cancellations events](https://docs.upvest.co/api/orders/order_cancellation_event.md): Order Cancellations events

